- Main Page
- Namespaces
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# ubixfs.h File Reference

`#include <sys/types.h>`
`#include <unistd.h>`
`#include "fsAbstract.h"`
`#include "types.h"`
`#include "file.h"`

Go to the source code of this file.

## Data Structures
struct | blockRun
struct | dataStream
struct | diskSuperBlock
class | UbixFS
struct | ubixfsInode
union | uPtr
## Defines
#define | ATTR_INODE 0x00000004
#define | INODE_DELETED 0x00000010
#define | INODE_DIRECTORY 0x00000002
#define | INODE_IN_USE 0x00000001
#define | INODE_LOGGED 0x00000008
#define | INODE_NO_CACHE 0x00010000
#define | INODE_WAS_WRITTEN 0x00020000
#define | MAX_FILENAME_LENGTH 256
#define | NO_TRANSACTION 0x00040000
#define | NUM_DIRECT_BLOCKS 64
#define | PERMANENT_FLAGS 0x0000ffff
#define | UBIXFS_CLEAN 0x434C454E
#define | UBIXFS_DIRTY 0x44495254
#define | UBIXFS_INODE_MAGIC 0x3bbe0ad9
#define | UBIXFS_MAGIC1 0xA0A0A0A
#define | UBIXFS_MAGIC2 0xB0B0B0B
#define | UBIXFS_MAGIC3 0xC0C0C0C
## Typedefs
typedef blockRun | inodeAddr

## Define Documentation

#define ATTR_INODE 0x00000004

Definition at line 12 of file ubixfs.h.

#define INODE_DELETED 0x00000010

Definition at line 14 of file ubixfs.h.

#define INODE_DIRECTORY 0x00000002

Definition at line 11 of file ubixfs.h.

Referenced by UbixFS::vfs_format(), and UbixFS::vfs_mkdir().

#define INODE_IN_USE 0x00000001

Definition at line 10 of file ubixfs.h.

#define INODE_LOGGED 0x00000008

Definition at line 13 of file ubixfs.h.

#define INODE_NO_CACHE 0x00010000

Definition at line 16 of file ubixfs.h.

#define INODE_WAS_WRITTEN 0x00020000

Definition at line 17 of file ubixfs.h.

#define MAX_FILENAME_LENGTH 256

Definition at line 21 of file ubixfs.h.

Referenced by UbixFS::mknod(), and UbixFS::vfs_mkdir().

#define NO_TRANSACTION 0x00040000

Definition at line 18 of file ubixfs.h.

#define NUM_DIRECT_BLOCKS 64

Definition at line 20 of file ubixfs.h.

Referenced by UbixFS::vfs_read(), and UbixFS::vfs_write().

#define PERMANENT_FLAGS 0x0000ffff

Definition at line 15 of file ubixfs.h.

#define UBIXFS_CLEAN 0x434C454E

Definition at line 33 of file ubixfs.h.

Referenced by UbixFS::vfs_init().

#define UBIXFS_DIRTY 0x44495254

Definition at line 34 of file ubixfs.h.

#define UBIXFS_INODE_MAGIC 0x3bbe0ad9

Definition at line 26 of file ubixfs.h.

Referenced by UbixFS::mknod(), and UbixFS::vfs_format().

#define UBIXFS_MAGIC1 0xA0A0A0A

Definition at line 23 of file ubixfs.h.

Referenced by UbixFS::vfs_format(), and UbixFS::vfs_init().

#define UBIXFS_MAGIC2 0xB0B0B0B

Definition at line 24 of file ubixfs.h.

Referenced by UbixFS::vfs_format(), and UbixFS::vfs_init().

#define UBIXFS_MAGIC3 0xC0C0C0C

Definition at line 25 of file ubixfs.h.

Referenced by UbixFS::vfs_format(), and UbixFS::vfs_init().

## Typedef Documentation

typedef struct blockRun inodeAddr